/*
 * RTE configuration file
 * To be included in the Page TSConfig of the root page
 *
 * $Id: RTE_TSConfig.txt 3577 2009-04-05 08:54:47Z fsuter $
 */

// Config RTE
RTE.config.tt_content.bodytext.proc.allowedClasses >

RTE {

// Classes definition
	classes {
			// Classes for tables
		standard {
			name = Standard Table
				// Define alternating row styles
			alternating {
				rows {
					oddClass = odd
					evenClass = even
				}
			}
		}
			// Classes for table rows
		odd.name = Odd lines
		even.name = Even lines
			// Text styles
		small.name = Small
		medium.name = Medium
		large.name = Large
			// Default styles that lack a default name...
		align-left {
			name = Align left
			noShow = 1
		}
		align-right {
			name = Align right
			noShow = 1
		}
		align-center {
			name = Align center
			noShow = 1
		}
		align-justify {
			name = Justify full
			noShow = 1
		}
		indent {
			name = Indent left
			noShow = 1
		}
	}
	mutuallyExclusiveClasses {
		tr = odd,even
		span = small,medium,large
	}

// Default RTE configuration (all tables)
	default {

// Available classes for HTML elements

		classesTable >
		classesTD >
		classesLinks >
		classesCharacter >
		classesAnchor >
		classesImage >

		buttons.blockstyle.tags {
			table.allowedClasses = standard
			tr.allowedClasses = odd,even
			p.allowedClasses = align-left,align-right,align-center,align-justify,indent
			span.allowedClasses = small, medium, large
		}
		buttons.table.properties.tableClass.defaultValue = standard
		buttons.formattext.orderItems = small, medium, large
			# Forbid usage of h1 and h2 inside the RTE (also hide address tag)
		hidePStyleItems = h1,h2,address,pre

// Show tags from content CSS
		showTagFreeClasses = 0

// Disable examples styles
		disablePCexamples = 0

// Disable Typo3 specific browsers
		disableTYPO3Browsers = 0

// Tab elements to remove in the picture popup
		blindImageOptions >

// Default target for links
		defaultLinkTarget =

// Tab elements to remove in the link popup
		blindLinkOptions >

// Buttons to show
		showButtons = blockstylelabel, blockstyle, textstylelabel, textstyle, formatblock, bold, italic, strikethrough, subscript, superscript, left, center, right, justifyfull, orderedlist, unorderedlist, outdent, indent, textindicator, insertcharacter, line, link, image, table, acronym, findreplace, chMode, removeformat, copy, cut, paste, undo, redo, showhelp, about, toggleborders, tableproperties, rowproperties, rowinsertabove, rowinsertunder, rowdelete, rowsplit, columninsertbefore, columninsertafter, columndelete, columnsplit, cellproperties, cellinsertbefore, cellinsertafter, celldelete, cellsplit, cellmerge

// Buttons to hide
		hideButtons = inserttag, spellcheck, bgcolor, underline, fontstyle, fontsize, emoticon, user, lefttoright, righttoleft, textcolor

// Toolbar order
		toolbarOrder = formatblock, space, bar, space, blockstylelabel, blockstyle, space, textstylelabel, textstyle, space, bar, space, textindicator, linebreak, bold, italic, strikethrough, subscript, superscript, textcolor, space, bar, space, left, center, right, justifyfull, space, bar, space, orderedlist, unorderedlist, outdent, indent, linebreak, link, image, insertcharacter, line, table, acronym, space, bar, space, findreplace, removeformat, space, bar, space, copy, cut, paste, space, bar, space, undo, redo, space, bar, space, chMode, showhelp, about, linebreak, toggleborders, space, bar, space, tableproperties, space, bar, space, rowproperties, rowinsertabove, rowinsertunder, rowdelete, rowsplit, space, bar, space, columninsertbefore, columninsertafter, columndelete, columnsplit, space, bar, space, cellproperties, cellinsertbefore, cellinsertafter, celldelete, cellsplit, cellmerge

// Group buttons (Mozilla only)
		keepButtonGroupTogether = 1

// Hide table operations
		hideTableOperationsInToolbar = 0

// Disable some options in the table dialog box
		buttons.table {
			removeFieldsets = description,spacing,alignment,borders
			properties {
				numberOfRows.defaultValue = 3
				headers.removeItems = left,both
			}

// Disable creation of new paragraphs inside table cells
			disableEnterParagraphs = 1
		}
		buttons.tableproperties.removeFieldsets = description,spacing,alignment,borders

// Hide div and blockquote options for block formats
		buttons.formatblock.removeItems = blockquote,div

// Show toggle borders item even if table operations are disabled
		buttons.toggleborders.keepInToolbar = 0
		buttons.toggleborders.setOnTableCreation = 1

// Disable contextual menu
		disableContextMenu = 0
		disableRightClick = 0

// Display status bar
		showStatusBar = 1

// Disable color picker
		disableColorPicker = 1

// Disable color selector
		disableSelectColor = 0

// RTE stylesheet
		contentCSS = fileadmin/templates/cobweb/css/rte.css

// MS Word cleaning
		enableWordClean = 1

// Remove HTML comments
		removeComments = 1

// Remove HTML tags
		removeTags = font

// Remove HTML tags and their content
		removeTagsAndContents =

// Use CSS formatting when possible
		useCSS = 0

// Disable enter key for new paragraphs creation
		disableEnterParagraphs = 0

// Remove trailing BR if any
		removeTrailingBR = 1

// Hide tags in the quick tag plugin
		hideTags = font, font (full)

// Colors available
		colors = color1, color2, color3, color4

// Image settings

		buttons.image.options.plain.maxWidth = 800
		buttons.image.options.magic.maxWidth = 800

// Processing rules
		proc {
// Transformation method
			overruleMode = ts_css

// List of allowed classes
			allowedClasses = standard, small, medium, large

// Do not convert BR into linebreaks
			dontConvBRtoParagraph = 1

// Map paragraph tag
			remapParagraphTag = p

// Tags allowed outside P & DIV
			allowTagsOutside = hr, address

// Tags allowed
			allowTags = a, abbr, acronym, address, blockquote, b, br, caption, cite, code, div, em, h1, h2, h3, h4, h5, h6, hr, i, img, li, link, ol, p, pre, q, span, strike, strong, sub, sup, table, thead, tbody, tfoot, td, th, tr, ul

// Tags denied
			denyTags = font, u, tt, center

// Attributes to keep for P & DIV
			keepPDIVattribs = xml:lang,class,style,align

// Tags allowed outside <p> and <div> tags
			allowTagsOutside = img,hr,table,tr,th,td,h1,h2,h3,h4,h5,h6,br,ul,ol,li,pre,address

// Tags allowed in Typolists
			allowTagsInTypolists = br,b,i,u,a,img,span

// Keep unknown tags
			dontRemoveUnknownTags_db = 1

// Entry HTML parser
			entryHTMLparser_db = 1
			entryHTMLparser_db {

// Tags allowed
				allowTags < RTE.default.proc.allowTags

// Tags denied
				denyTags >

// HTML special characters
				htmlSpecialChars = 0

// Allow IMG tags
				tags.img >

// Allow attributes
				tags.span.fixAttrib.style.unset >
				tags.p.fixAttrib.align.unset >
				tags.div.fixAttrib.align.unset >

// Additionnal attributes for P & DIV
				div.allowedAttribs = class,style,align
				p.allowedAttribs = class,style,align

// Tags to remove
				removeTags = center, font, o:p, sdfield, strike, u

// Keep non matched tags
				keepNonMatchedTags = protect
			}

// HTML parser
			HTMLparser_db {

// Strip attributes
				noAttrib = br

// XHTML compliance
				xhtml_cleaning = 1
			}

// Exit HTML parser
			exitHTMLparser_db = 1
			exitHTMLparser_db {

// Remap bold and italic
				tags.b.remap = strong
				tags.i.remap = em

// Keep non matched tags
				keepNonMatchedTags = 1

// HTML special character
				htmlSpecialChars = 0
			}
		}
	}
}

// MS Word clean options
RTE.default.enableWordClean.HTMLparser < RTE.default.proc.entryHTMLparser_db

// Full screen for bodytext (tt_content)
TCEFORM.tt_content.bodytext.RTEfullScreenWidth= 100%
